html, body {
  min-height: 100vh;
}

body {
  flex-direction: column;
  display: flex;
}

header {
  top: 0;
  background-color: rgb(221, 176, 29);
  position: sticky;
}

nav {
  background-color: rgb(219, 16, 70);
}

main {
  flex: 1;
  background-color: bisque;
}

aside {
  background-color: blueviolet;
}

footer {
  background-color: brown;
  position: sticky;
  bottom: 0;
}